--- title: "GET Standalone Bucket Utilizations" slug: "stats-api-get-v1standalone-bucket-utilizations" updated: 2026-02-03T15:17:22Z published: 2026-02-03T15:17:22Z canonical: "docs.wasabi.com/stats-api-get-v1standalone-bucket-utilizations" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt > Use this file to discover all available pages before exploring further. # GET Standalone Bucket Utilizations Returns a list of Stats API utilizations for buckets. Wasabi Stats API requests: https://stats.wasabisys.com Note that this link is used when requesting data; there is no application or page to access. > These Stats API calls require the Wasabi API keys, not WAC API keys. Wasabi API keys used must either be Root keys or have associated billing permissions. #### URL (GET) ```json GET /v1/standalone/utilizations/bucket ``` #### Query Parameters Example This is an example of how to use the query parameters as filters. ```json https://stats.wasabisys.com/v1/standalone/utilizations/bucket?pageSize=1&pageNum=0&from=2023-12-01&to=2024-02-02 ``` #### Query Parameters The following query parameters are optional. > RecordCount and PageCount are returned only if the page number is 0. > > Both RecordCount and PageCount must be returned as 0 when pageNum>0. | Name | Description | Required | | --- | --- | --- | | pageSize | The page size of the results to display. The maximum page size value is 100. The default value is 100. | No | | pageNum | The page number of the results to display. The default value is 0. | No | | from | The date from year, month, day. For example, if you specify the date **from** 2023-12-01 and the date **to** 2024-02-02, then all items within that range will be included. If not defined, the default value is the date of the last month from today. | No | | to | The date to year, month, day. If not defined, the default value is the date today. | No | #### **Request** This example shows the request for standalone bucket utilizations. ```json {        "name": "Read Standalone Bucket Utilization",        "request": {        "method": "GET",        "header": [        {        "key": "Authorization",        "value": "AccessKey:SecretKey",        "type": "text"        }        ],        "url": {        "raw": "https://stats.wasabisys.com/v1/standalone/utilizations/bucket?pageSize=1&pageNum=0",        "protocol": "https",        "host": [        "stats",        "wasabisys",        "com"        ],        "path": [        "v1",        "standalone",        "utilizations",        "bucket"        ],        "query": [        {        "key": "pageSize",        "value": "1"        },        {        "key": "pageNum",        "value": "0"        },        {        "key": "from",        "value": "2023-12-01",        "disabled": true        },        {        "key": "to",        "value": "2024-02-02",        "disabled": true        }        ]        }        } ``` #### **Response** This example shows the response for standalone bucket utilizations. ```json GET /v1/standalone/utilizations/bucket        [        {        "BucketUtilizationNum": 6947980,        "AcctNum": 101430,        "AcctPlanNum": 0,        "BucketNum": 1011082,        "StartTime": "2023-12-01T00:00:00Z",        "EndTime": "2024-02-02T00:00:00Z",        "CreateTime": "2024-02-02T08:11:13Z",        "NumBillableObjects": 1,        "NumBillableDeletedObjects": 0,        "RawStorageSizeBytes": 1073741824,        "PaddedStorageSizeBytes": 1073741824,        "MetadataStorageSizeBytes": 48,        "DeletedStorageSizeBytes": 0,        "OrphanedStorageSizeBytes": 0,        "NumAPICalls": 132,        "UploadBytes": 1077661331,        "DownloadBytes": 106958,        "StorageWroteBytes": 1073741824,        "StorageReadBytes": 0,        "NumGETCalls": 0,        "NumPUTCalls": 0,        "NumDELETECalls": 0,        "NumLISTCalls": 0,        "NumHEADCalls": 0,        "DeleteBytes": 0, "Bucket": "1.bug2189",        "Region": "us-east-1"        },        {        "BucketUtilizationNum": 6947981,        "AcctNum": 101430,        "AcctPlanNum": 0,        "BucketNum": 1011096,        "StartTime": "2023-12-01T00:00:00Z",        "EndTime": "2024-02-02T00:00:00Z",        "CreateTime": "2024-02-02T08:11:14Z",        "NumBillableObjects": 1,        "NumBillableDeletedObjects": 0,        "RawStorageSizeBytes": 1073741824,        "PaddedStorageSizeBytes": 1073741824,        "MetadataStorageSizeBytes": 48,        "DeletedStorageSizeBytes": 0,        "OrphanedStorageSizeBytes": 0,        "NumAPICalls": 88,        "UploadBytes": 716963101,        "DownloadBytes": 76027,        "StorageWroteBytes": 714354119,        "StorageReadBytes": 0,        "NumGETCalls": 0,        "NumPUTCalls": 0,        "NumDELETECalls": 0,        "NumLISTCalls": 0,        "NumHEADCalls": 0,        "DeleteBytes": 0,        "Bucket": "2.bug2189",        "Region": "us-west-1"        },] ``` #### Example With From and To Query String Parameters This example shows the response for standalone bucket utilizations with a from and to date range. ```json GET /v1/standalone/utilizations/bucket?from=2023-12-01&to=2024-02-02[        {        "BucketUtilizationNum": 303744149,        "AcctNum": 693549,        "AcctPlanNum": 123456,        "BucketNum": 6477286,        "StartTime": "2023-23-01T00:00:00Z",        "EndTime": "2024-02-02T00:00:00Z",        "CreateTime": "2024-02-02T01:31:14Z",        "NumBillableObjects": 1,        "NumBillableDeletedObjects": 0,        "RawStorageSizeBytes": 107374182400,        "PaddedStorageSizeBytes": 107374182400,        "MetadataStorageSizeBytes": 48,        "DeletedStorageSizeBytes": 0,        "OrphanedStorageSizeBytes": 0,        "NumAPICalls": 0,        "UploadBytes": 0,        "DownloadBytes": 0,        "StorageWroteBytes": 0,        "StorageReadBytes": 0,        "NumGETCalls": 0,        "NumPUTCalls": 0,        "NumDELETECalls": 0,        "NumLISTCalls": 0,        "NumHEADCalls": 0,        "DeleteBytes": 0,        "Bucket": "jk.jkc",        "Region": "us-east-1"        },        {        "BucketUtilizationNum": 303753791,        "AcctNum": 694750,        "AcctPlanNum": 654321,        "BucketNum": 6480895,        "StartTime": "2023-12-01T00:00:00Z",        "EndTime": "2024-02-02T00:00:00Z",        "CreateTime": "2024-02-02T01:32:30Z",        "NumBillableObjects": 1,        "NumBillableDeletedObjects": 0,        "RawStorageSizeBytes": 107374182400,        "PaddedStorageSizeBytes": 107374182400,        "MetadataStorageSizeBytes": 48,        "DeletedStorageSizeBytes": 0,        "OrphanedStorageSizeBytes": 0,        "NumAPICalls": 0,        "UploadBytes": 0,        "DownloadBytes": 0,        "StorageWroteBytes": 0,        "StorageReadBytes": 0,        "NumGETCalls": 0,        "NumPUTCalls": 0,        "NumDELETECalls": 0,        "NumLISTCalls": 0,        "NumHEADCalls": 0,        "DeleteBytes": 0,        "Bucket": "jkc.jk",        "Region": "us-east-1"        }] ```